@mixin base-conteiner-block-w-mask(
  $bgImage: "assets/images/home/library.jpg",
  $pColor: $color_white,
  $pSize: $font-size_14,
  $pWidth: 85%
) {
  height: 250px;
  padding-left: 0px;
  padding-right: 0px;
  background: url($bgImage);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  position: relative;
  background-attachment: fixed;

  div.mask {
    position: absolute;
    background: linear-gradient(0deg, $color_black_t6, $color_black_t6);
    top: 0px;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    p {
      width: $pWidth;
      text-align: center;
      margin: 0 auto;
      color: $pColor;
      font-weight: 200;
      font-size: $pSize;
    }
  }

  @media only screen and (min-width: 1024px) {
    padding-top: 50px;
    padding-bottom: 50px;

    div.mask {
      p {
        color: red;
      }
    }
  }
}
